Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.extensions.authoring.directive
Enum AuthoringDirectiveType

    java.lang.Object
      java.lang.Enum<AuthoringDirectiveType>
          com.ibm.workplace.wcm.api.extensions.authoring.directive.AuthoringDirectiveType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AuthoringDirectiveType>

    public enum AuthoringDirectiveType

extends java.lang.Enum<AuthoringDirectiveType>

The different types of Authoring Directives that can be use to control the behavior of the Authoring interface after an `AuthoringAction` has been executed.

Since:
  v8.0

Enum Constant Summary
`CLOSE` When the extension returns a "Close" directive, the authoring interface will close the form.
`CONTINUE` When the extension returns a "Continue" directive, the authoring interface will reload the form.
`EDIT_MODE` When the extension returns a "Edit Mode" directive, the authoring interface will open the edit mode form.
`OPEN_DOCUMENT` When the extension returns a "Open Document" directive, the authoring interface will open the specified target document.
`READ_MODE` When the extension returns a "Read Mode" directive, the authoring interface will open the read mode form.

Method Summary
`static AuthoringDirectiveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AuthoringDirectiveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE

    public static final AuthoringDirectiveType CONTINUE

  When the extension returns a "Continue" directive, the authoring interface will reload the form.

### CLOSE

    public static final AuthoringDirectiveType CLOSE

  When the extension returns a "Close" directive, the authoring interface will close the form.

### READ_MODE

    public static final AuthoringDirectiveType READ_MODE

  When the extension returns a "Read Mode" directive, the authoring interface will open the read mode form.

### EDIT_MODE

    public static final AuthoringDirectiveType EDIT_MODE

  When the extension returns a "Edit Mode" directive, the authoring interface will open the edit mode form.

### OPEN_DOCUMENT

    public static final AuthoringDirectiveType OPEN_DOCUMENT

  When the extension returns a "Open Document" directive, the authoring interface will open the specified target document.

Method Detail

### values

    public static AuthoringDirectiveType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuthoringDirectiveType c : AuthoringDirectiveType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuthoringDirectiveType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD